Subject: Re: bug#26006: [Website] Integral update proposal

From: Catonano <[email-masked]>
Date: Sat, 17 Jun 2017 19:12:03 +0200

2017-06-17 18:41 GMT+02:00 sirgazil <[email-masked]>:

>
> Catonano, to avoid building all the packages (3-4 minutes in this
> machine), you should run the build like this:
>
> $ GUIX_WEB_SITE_LOCAL=yes haunt build
>
> Also, this way, the website URLs are modified to work locally, and only
> 300 packages will be built for testing.
>
> If you run:
>
> $ haunt build
>
> It will build the website for production, which uses the gnu.org URL path
> for projects, so running "haunt serve" after that won't display the website
> correctly. In this case, what I do is use python server, and not haunt
> server. Like so:
>
> $ haunt build
> $ cd /tmp/gnu/
> $ python3 -m http.server
>
> Then you can visit http://localhost:8000/, and the site should work as if
> it were in production.
>

All this stuff is good to know, thanks

I attempted to chhange te build pat to ./build and when seeing it in Icecat
I got the html as plain text, not rendered.

I reset it to what it was and it works like a charm

Why ?

Anyway, now I see the site, I like it but I can't be accurate

I will have to re-red the whole thread to consiider all the issues

Thanks !
Ciao